VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Attributes | List of all members
AlertBoxForWindowConfig Struct Reference
Standalone Library

Alertbox for window configuration. More...

Inheritance diagram for AlertBoxForWindowConfig:

## Public Types
using | Callback = std::function< void(AlertResult)>

## Public Attributes
WindowPtr | window
Callback | callback
Public Attributes inherited from AlertBoxConfig
UTF8String | headline
UTF8String | description
UTF8String | defaultButton {"OK"}
UTF8String | secondButton
UTF8String | thirdButton

## Detailed Description

Alertbox for window configuration.

## Member Typedef Documentation

using Callback = std::function<void (AlertResult)>

## Member Data Documentation

Callback callback

WindowPtr window

The documentation for this struct was generated from the following file:

- ialertbox.h